apiVersion: apps/v1
kind: Deployment
metadata:
  name: wstest01-deployment
  namespace: test
spec:
  selector:
    matchLabels:
      app: wstest01
  replicas: 2 # tells deployment to run 2 pods matching the template
  template:
    metadata:
      labels:
        app: wstest01
    spec:
      containers:
        - name: wstest01
          image: registry.gitlab.com/kilroywashere.devops/wstest01/main:latest
          env:
            - name: SPRING_PROFILES_ACTIVE
              value: "staging"
            - name: MARIADB_HOST
              valueFrom:
                configMapKeyRef:
                  name: wstest01-configmap
                  key: MARIADB_HOST
            - name: MARIADB_PORT
              valueFrom:
                configMapKeyRef:
                  name: wstest01-configmap
                  key: MARIADB_PORT
            - name: MARIADB_DATABASE
              valueFrom:
                configMapKeyRef:
                  name: wstest01-configmap
                  key: MARIADB_DATABASE
            - name: MARIADB_USER
              valueFrom:
                secretKeyRef:
                  name: wstest01-secret
                  key: MARIADB_USER
            - name: MARIADB_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: wstest01-secret
                  key: MARIADB_PASSWORD
          ports:
            - containerPort: 8080
          resources:
            limits:
              cpu: "0.5"
              memory: "512Mi"
            requests:
              cpu: "200m"
              memory: "50Mi"
